//--------------------------------------------------------------------------------------------------
// Make root trees from events_tot.dat and event_brn.dat
//--------------------------------------------------------------------------------------------------
#include "TTree.h"
#include "TLorentzVector.h"
#include "TFile.h"
#include <cstdio>
#include <cstring>
using namespace std;
int main()
{
    double    v_tot[13];
    double    v_brn[13];
    const int len = 300;
    char      str[len];
//--------------------------------------------------------------------------------------------------
    TFile file_tot("events_tot.root", "recreate", "Events data file");
    TTree tree_tot("events_tot", "Events data tree");
    tree_tot.Branch("v_tot", v_tot, "v_tot[13]/D");
    FILE *in_tot = fopen("events_tot.dat", "r");
    while(fgets(str, len, in_tot))
    {
        sscanf(str, "%lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf",
	       v_tot+12, v_tot, v_tot+1, v_tot+2, v_tot+3, v_tot+4, v_tot+5, v_tot+6,
	       v_tot+7, v_tot+8, v_tot+9, v_tot+10, v_tot+11);
        tree_tot.Fill();
    }
    file_tot.Write();
    file_tot.Close();
//--------------------------------------------------------------------------------------------------
    TFile file_brn("events_brn.root", "recreate", "Events data file");
    TTree tree_brn("events_brn", "Events data tree");
    tree_brn.Branch("v_brn", v_brn, "v_brn[13]/D");
    FILE *in_brn = fopen("events_brn.dat", "r");
    while(fgets(str, len, in_brn))
    {
        sscanf(str, "%lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf",
	       v_brn+12, v_brn, v_brn+1, v_brn+2, v_brn+3, v_brn+4, v_brn+5, v_brn+6,
	       v_brn+7, v_brn+8, v_brn+9, v_brn+10, v_brn+11);
        tree_brn.Fill();
    }
    file_brn.Write();
    file_brn.Close();
//--------------------------------------------------------------------------------------------------
    return 0;
}
